package rocks.zipcode.io.quiz4.generics;

import java.util.Iterator;
import java.util.Stack;

/**
 * @author leon on 11/12/2018.
 */
public class MyStack<SomeType> implements Iterable {

    Stack stack;

    public MyStack() {

        this.stack = new Stack();
    }

    public Boolean isEmpty() {
        return this.stack.isEmpty();
    }

    public void push(SomeType i) {
        this.stack.push(i);
    }

    public SomeType peek() {

        if(isEmpty()) {
            return null;
        }

        return (SomeType) this.stack.peek();
    }

    public SomeType pop() {

        return (SomeType) this.stack.pop();
    }

    @Override
    public Iterator iterator() {
        return this.stack.iterator();
    }
}
