package rocks.zipcode.io.quiz4.generics;

import java.util.Collections;

/**
 * @author leon on 18/12/2018.
 */
public class SortedGroup<T extends Comparable> extends Group<T> {

    @Override
    public void insert(Object value) {
        this.groupList.add((T)value);
        Collections.sort(this.groupList);
    }

    @Override
    public void delete(Object value) {
        this.groupList.remove(value);
        Collections.sort(this.groupList);

    }

    public Integer indexOf(T firstValue) {

        return this.groupList.indexOf(firstValue);
    }
}
