package rocks.zipcode.io.quiz4.objectorientation;

import rocks.zipcode.io.quiz4.fundamentals.PalindromeEvaluator;

import java.util.ArrayList;
import java.util.List;

/**
 * @author leon on 18/12/2018.
 */
public class PalindromeObject {

    String input;

    public PalindromeObject(String input) {
        this.input = input;
    }

    public String[] getAllPalindromes(){

        List<String> result = new ArrayList<>();

        for (int i = 0; i < this.input.length(); i++) {
            for (int j = i + 1; j <= this.input.length(); j++) {
                if(PalindromeEvaluator.isPalindrome(this.input.substring(i,j)) && !result.contains(this.input.substring(i,j))) {
                    result.add(this.input.substring(i, j));
                }
            }
        }
        return result.toArray(new String[0]);
    }

    public Boolean isPalindrome(){
        return PalindromeEvaluator.isPalindrome(this.input);
    }

    public String reverseString(){
        return PalindromeEvaluator.reverseString(this.input);
    }
}
