package rocks.zipcode.io.quiz4.collections;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * @author leon on 11/12/2018.
 */
public class SimpleStringGroup implements Iterable<String> {

    List<String> strList;

    public SimpleStringGroup() {
        this.strList = new ArrayList<>();
    }

    public Integer count() {

        return this.strList.size();
    }

    public void insert(String string) {

        this.strList.add(string);

    }

    public Boolean has(String valueToInsert) {

        for(String s: this.strList){
            if(s.equals(valueToInsert)) {
                return true;
            }
        }

        return false;
    }

    public String fetch(int indexOfValue) {

        return this.strList.get(indexOfValue);
    }

    public void delete(String valueToInsert) {

        this.strList.remove(valueToInsert);
    }

    public void clear() {
        this.strList = new ArrayList<>();
    }

    @Override
    public Iterator<String> iterator() {
        return this.strList.iterator();
    }
}
