package rocks.zipcode.io.quiz4.fundamentals;

import rocks.zipcode.io.quiz4.objectorientation.StringEvaluatorObject;

import java.util.ArrayList;
import java.util.List;

/**
 * @author leon on 11/12/2018.
 */
public class StringEvaluator {
    public static String[] getAllPrefixes(String string) {

        List<String> result = new ArrayList<>();

        for (int i = 0; i < string.length(); i++) {
            for (int j = i + 1; j <= string.length(); j++) {
                if(!result.contains(string.substring(i,j))) {
                    result.add(string.substring(i, j));
                }
            }
        }

        return result.toArray(new String[0]);
    }

    public static String[] getCommonPrefixes(String string1, String string2) {

        String[] thesePrefixes = getAllPrefixes(string1);
        String[] thosePrefixes = getAllPrefixes(string2);
        List<String> commonPrefixes = new ArrayList<>();

        for(String s: thesePrefixes) {
            for(String s2: thosePrefixes) {
                if(s.equals(s2)) {
                    commonPrefixes.add(s);
                }
            }
        }

        return commonPrefixes.toArray(new String[0]);
    }

    public static String getLargestCommonPrefix(String string1, String string2) {

        String[] commonPrefixes = getCommonPrefixes(string1, string2);
        String longest = "";

        for(String s: commonPrefixes) {
            if(s.length() > longest.length()) {
                longest = s;
            }
        }
        return longest;
    }
}
