package rocks.zipcode.io.quiz4.generics;

import java.util.*;

/**
 * @author leon on 11/12/2018.
 */
public class GenericUtils {
    public static <T extends Comparable> Iterable<? extends Iterable<T>> powerSet(Set<T> originalSet) {

        Group<T> result = new Group<>();
        result.insert(originalSet.toString());
        List<T> list = new ArrayList<>();
        list.addAll(originalSet);

        for (int i = 0; i < originalSet.size(); i++) {
            if(list.size() > 2 && i==0) {
                result.insert("[" + list.get(i) + ", " + list.get(i + 1) + "]");
                result.insert("[" + list.get(i) + ", " + list.get(i + 2) + "]");

            } else if(list.size() > 2 && i==1) {
                result.insert("[" + list.get(i) + ", " + list.get(i - 1) + "]");
                result.insert("[" + list.get(i) + ", " + list.get(i + 1) + "]");
            } else if(list.size() > 2 && i==2) {
                result.insert("[" + list.get(i) + ", " + list.get(i - 2) + "]");
                result.insert("[" + list.get(i) + ", " + list.get(i - 1) + "]");
            }

            result.insert("[" + list.get(i) + "]");
        }

        result.insert("[]");

        return (Iterable<? extends Iterable<T>>) result;
    }

    public static <T extends Comparable> Iterable<? extends Iterable<T>> powerSet(T... originalSet) {
        return powerSet(new TreeSet<>(Arrays.asList(originalSet)));
    }
}

