package rocks.zipcode.io.quiz4.objectorientation;

/**
 * @author leon on 11/12/2018.
 */
public class StringAssembler {

    private StringBuilder str;
    private char delimeter;

    public StringAssembler(Character delimeter) {
        this.str = new StringBuilder();
        this.delimeter = delimeter;
    }

    public StringAssembler append(String str) {
        this.str.append(str);
        this.str.append(this.delimeter);
        return this;
    }

    public String assemble() {

        return this.str.deleteCharAt(this.str.length() - 1).toString();
    }
}
